1

Just realized that java on my mini 2012 is 1.6.0_65-b14-468. Therefore I searched for anything newer compatible with JDownloader. Therefore I downloaded 1.8 (jre-8u201-macosx-x64). Apparently the installation was successfull but when I checked with the terminal nothing has changed.

java -version
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-468)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-468, mixed mode)

Again, I searched for instructions at Oracle and followed the instruction to uninstall everything before installing .8

sudo rm -fr /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin 
sudo rm -fr /Library/PreferencePanes/JavaControlPanel.prefPane 
sudo rm -fr ~/Library/Application\ Support/Java

I tried again all the installation procedure, and ... again ... java version mounted is still .6 when I think I had .8 installed.

How can I resolve this conflict or move forward with the later version?

  • What exactly is your question here? And can you add a link to the instructions you've followed (the commands you've used will not remove any Java version)? – nohillside Mar 17 at 19:20
  • thanks for editing the post. Here is the oracle page (in italian) java.com/it/download/help/mac_uninstall_java.xml – mrspooky Mar 17 at 19:22
  • The question is: why I still have 1.6 even after updating to 1.8 ? – mrspooky Mar 17 at 19:23
  • 1
    Because you need the jdk not jre see several questions here and I would use java 11 now – Mark Mar 17 at 20:39

You must log in to answer this question.

Browse other questions tagged .